<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet" href="css/mystyle.css">

<head>
    <meta charset="UTF-8">
    <title>Card Game</title>
</head>
<body>
    <form action="#" th:action="@{/cardGameView}" th:object="${cardGameModel}" method="post">
        <div class="container">
            <h1>Card Game</h1>
            <p>Spieler 1 und Spieler 2 haben je ein verdecktes Deck von Karten.</p>
            <p>Spieler 1 deckt eine Karte auf und entscheidet sich für ein Attribut, das er setzt.</p>
            <p>Spieler 2 deckt eine Karte auf und die Karte mit dem besseren Wert im Attribut gewinnt.</p>
            <p>Die Verlierer Karte wird in das Deck des Siegers verschoben.</p>
            <p>Und der Sieger zeigt seine nächste Karte...</p>
            <div class="row justify-content-evenly">
                <div class="col-4">
                    <h5>Spieler 1</h5>
                    <label th:text="'Noch ' + ${numberLeft}  + ' Karten im Deck'"></label>
                    <div class="mt-1 p-2 border" th:if="${leftCar == null}">Leere Karte
                        <img class="img-fluid" src="images/Auto.png" alt="Autobild">
                    </div>
                    <div class="mt-1 p-2 border" th:if="${leftCar != null}">
                        <img class="img-fluid" th:src="${leftCar.imageUrl}" alt="Autobild">
                        <table class="table">
                            <tbody>
                                <tr>
                                    <th scope="row">Marke</th>
                                    <td th:text="${leftCar.tradeName}"></td>
                                </tr>
                                <tr>
                                    <th scope="row">Model</th>
                                    <td th:text="${leftCar.model}"></td>
                                </tr>
                                <tr>
                                    <th scope="row">Preis</th>
                                    <td th:text="${leftCar.prize}"></td>
                                </tr>
                                <tr>
                                    <th scope="row">Speed</th>
                                    <td th:text="${leftCar.speed}"></td>
                                </tr>
                                <tr>
                                    <th scope="row">Plaetze</th>
                                    <td th:text="${leftCar.plaetze}"></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <button type="submit" class="btn btn-outline-primary m-1" name="showButton" value="showLeft">show left</button>
                    <button type="submit" class="btn btn-outline-primary m-1" name="moveButton" value="moveToRight">move to right</button>
                </div>
                <div class="col-4">
                    <h5>Spieler 2</h5>
                    <label th:text="'Noch ' + ${numberRight}  + ' Karten im Deck'"></label>
                    <div class="mt-1 p-2 border" th:if="${rightCar == null}">Leere Karte
                        <img class="img-fluid" src="images/Auto.png" alt="Autobild">
                    </div>
                    <div class="mt-1 p-2 border" th:if="${rightCar != null}">
                        <img class="img-fluid" th:src="${rightCar.imageUrl}" alt="Autobild">
                        <table class="table">
                            <tbody>
                            <tr>
                                <th scope="row">Marke</th>
                                <td th:text="${rightCar.tradeName}"></td>
                            </tr>
                            <tr>
                                <th scope="row">Model</th>
                                <td th:text="${rightCar.model}"></td>
                            </tr>
                            <tr>
                                <th scope="row">Preis</th>
                                <td th:text="${rightCar.prize}"></td>
                            </tr>
                            <tr>
                                <th scope="row">Speed</th>
                                <td th:text="${rightCar.speed}"></td>
                            </tr>
                            <tr>
                                <th scope="row">Plaetze</th>
                                <td th:text="${rightCar.plaetze}"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <button type="submit" class="btn btn-outline-primary m-1" name="showButton" value="showRight">show right</button>
                    <button type="submit" class="btn btn-outline-primary m-1" name="moveButton" value="moveToLeft">move to left</button>
                </div>
            </div>
            <button type="submit" class="btn btn-outline-primary m-1" name="showButton" value="reset">Reset</button>
        </div>
    </form>
</body>
</html>